# OpalVideoFormat Class Reference

`#include <mediafmt.h>`

Inheritance diagram for OpalVideoFormat:

[legend]
Collaboration diagram for OpalVideoFormat:
[legend]

## Public Types

| ContentRoleMask = 15
enum | { ContentRoleMask = 15 }

## Public Member Functions

| OpalVideoFormat (OpalMediaFormatInternal *info=NULL)
| OpalVideoFormat (const char *fullName, RTP_DataFrame::PayloadTypes rtpPayloadType, const char *encodingName, unsigned maxFrameWidth, unsigned maxFrameHeight, unsigned maxFrameRate, unsigned maxBitRate, time_t timeStamp=0)
| P_DECLARE_STREAMABLE_ENUM (ContentRole, eNoRole, ePresentation, eMainRole, eSpeaker, eSignLanguage)
| P_DECLARE_STREAMABLE_BITWISE_ENUM_EX (RTCPFeedback, 5,(e_NoRTCPFb, e_PLI, e_FIR, e_TMMBR, e_TSTR, e_VBCM),"","pli","fir","tmmbr","tstr","vcbm")
| RTP/RTCP Feedback options.

## Static Public Member Functions

static const PString & | FrameWidthOption ()
static const PString & | FrameHeightOption ()
static const PString & | MinRxFrameWidthOption ()
static const PString & | MinRxFrameHeightOption ()
static const PString & | MaxRxFrameWidthOption ()
static const PString & | MaxRxFrameHeightOption ()
static const PString & | TemporalSpatialTradeOffOption ()
static const PString & | TxKeyFramePeriodOption ()
static const PString & | RateControlPeriodOption ()
static const PString & | RateControllerOption ()
static __inline unsigned | ContentRoleBit (ContentRole contentRole)
static const PString & | ContentRoleOption ()
static const PString & | ContentRoleMaskOption ()
static const PString & | RTCPFeedbackOption ()
| RTP/RTCP Feedback options.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  ContentRoleMask |

## Constructor & Destructor Documentation

OpalVideoFormat::OpalVideoFormat | ( | OpalMediaFormatInternal * | info = `NULL` | ) | `[inline]`

OpalVideoFormat::OpalVideoFormat | ( | const char * | fullName,
|  | RTP_DataFrame::PayloadTypes | rtpPayloadType,
|  | const char * | encodingName,
|  | unsigned | maxFrameWidth,
|  | unsigned | maxFrameHeight,
|  | unsigned | maxFrameRate,
|  | unsigned | maxBitRate,
|  | time_t | timeStamp = `0` |
| ) |  |  |

Parameters:

  fullName | Full name of media format
  rtpPayloadType | RTP payload type code
  encodingName | RTP encoding name
  maxFrameWidth | Width of video frame
  maxFrameHeight | Height of video frame
  maxFrameRate | Number of frames per second
  maxBitRate | Maximum bits per second
  timeStamp | timestamp (for versioning)

## Member Function Documentation

static __inline unsigned OpalVideoFormat::ContentRoleBit | ( | ContentRole | contentRole | ) | `[inline, static]`

static const PString& OpalVideoFormat::ContentRoleMaskOption | ( |  | ) | `[static]`

static const PString& OpalVideoFormat::ContentRoleOption | ( |  | ) | `[static]`

static const PString& OpalVideoFormat::FrameHeightOption | ( |  | ) | `[static]`

static const PString& OpalVideoFormat::FrameWidthOption | ( |  | ) | `[static]`

static const PString& OpalVideoFormat::MaxRxFrameHeightOption | ( |  | ) | `[static]`

static const PString& OpalVideoFormat::MaxRxFrameWidthOption | ( |  | ) | `[static]`

static const PString& OpalVideoFormat::MinRxFrameHeightOption | ( |  | ) | `[static]`

static const PString& OpalVideoFormat::MinRxFrameWidthOption | ( |  | ) | `[static]`

OpalVideoFormat::P_DECLARE_STREAMABLE_BITWISE_ENUM_EX | ( | RTCPFeedback | ,
|  | 5 | ,
|  | (e_NoRTCPFb, e_PLI, e_FIR, e_TMMBR, e_TSTR, e_VBCM) | ,
|  | "" | ,
|  | "pli" | ,
|  | "fir" | ,
|  | "tmmbr" | ,
|  | "tstr" | ,
|  | "vcbm" |  |
| ) |  |  |

RTP/RTCP Feedback options.

OpalVideoFormat::P_DECLARE_STREAMABLE_ENUM | ( | ContentRole | ,
|  | eNoRole | ,
|  | ePresentation | ,
|  | eMainRole | ,
|  | eSpeaker | ,
|  | eSignLanguage |  |
| ) |  |  |

The "role" of the content in the video stream based on this media format. This is based on RFC4796 and H.239 semantics and is an enumeration consisting of: Value H.239 RFC4796 NoRole Not used (not populated) Presentation Presentation (0x01) slides Main Live (0x02) main Speaker Live (0x02) speaker SignLanguage Live (0x02) sl

static const PString& OpalVideoFormat::RateControllerOption | ( |  | ) | `[static]`

static const PString& OpalVideoFormat::RateControlPeriodOption | ( |  | ) | `[static]`

static const PString& OpalVideoFormat::RTCPFeedbackOption | ( |  | ) | `[static]`

RTP/RTCP Feedback options.

static const PString& OpalVideoFormat::TemporalSpatialTradeOffOption | ( |  | ) | `[static]`

static const PString& OpalVideoFormat::TxKeyFramePeriodOption | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- mediafmt.h